%define upstream_name    DateTime-Format-Pg
%define upstream_version 0.16007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse and format PostgreSQL dates and times
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.100.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.720.0
BuildRequires: perl(DateTime::TimeZone) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module understands the formats used by PostgreSQL for its DATE, TIME,
TIMESTAMP, and INTERVAL data types. It can be used to parse these formats
in order to create 'DateTime' or 'DateTime::Duration' objects, and it can
take a 'DateTime' or 'DateTime::Duration' object and produce a string
representing it in a format accepted by PostgreSQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sat Nov 26 2011 kharec <kharec> 0.160.70-1.mga2
+ Revision: 172126
- update to 0.16007

* Wed Jun 15 2011 jquelin <jquelin> 0.160.60-1.mga2
+ Revision: 106797
- update to 0.16006

* Mon Jan 24 2011 jquelin <jquelin> 0.160.50-1.mga1
+ Revision: 37421
- mageia rebuild
- imported package perl-DateTime-Format-Pg


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.160.50-1mdv2011.0
+ Revision: 607837
- import perl-DateTime-Format-Pg

